Namespace
zabbix
Image / Tag
zabbix-web-nginx-mysql:5.0.47-ubuntu
Content Digest
sha256:31a61838e5bf01730dc1b7318b3f69d14e1d8efbed0ccb91c60bb0aa3512df91
Details
Created

2025-05-21 03:18:37 UTC

Size

131 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Alexey Pustovalov <[email protected]>
  • org.opencontainers.image.created
    2025-05-21T02:56:31.683Z
  • org.opencontainers.image.description
    Zabbix web-interface based on Nginx web server with MySQL database support
  • org.opencontainers.image.documentation
    https://www.zabbix.com/documentation/5.0/manual/installation/containers
  • org.opencontainers.image.licenses
    GPL v2.0
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.revision
    05775011c3975c4d6095c098858dace4af889059
  • org.opencontainers.image.source
    https://git.zabbix.com/scm/zbx/zabbix.git
  • org.opencontainers.image.title
    Zabbix web-interface (Nginx, MySQL)
  • org.opencontainers.image.url
    https://zabbix.com/
  • org.opencontainers.image.vendor
    Zabbix SIA
  • org.opencontainers.image.version
    5.0.47

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

TERM

xterm

ZABBIX_CONF_DIR

/etc/zabbix

ZABBIX_WWW_ROOT

/usr/share/zabbix

ZBX_SOURCES

https://git.zabbix.com/scm/zbx/zabbix.git

ZBX_VERSION

5.0.47


Layers

[#000] sha256:13b7e930469f6d3575a320709035c6acf6f5485a76abcf03d1b92a64c09c2476 - 19.96% (26.2 MB)

[#001] sha256:ca2ace6d88b61cbca4ddc2f998b39d73c9bb8f01bf9a28fdd1b8b2ce048cdae9 - 17.16% (22.5 MB)

[#002] sha256:deec4779fce9fb8498c4b5f825d6e160c29c5b1c1bb353bd1f6f7553368ba229 - 0.0% (5.02 KB)

[#003] sha256:ace97bab8b4ebb71cf88598656758c427c93844ad21406e9c78e788cc14c3f5c - 62.87% (82.6 MB)

[#004] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)

[#005] sha256:c73f3be518624ac6f6f0b541a5ce66cfb6ed91a4d8d32fd68710fbd9a8cab38b - 0.0% (2.88 KB)


History
2025-04-08 10:42:46 UTC

/bin/sh -c #(nop) ARG RELEASE

2025-04-08 10:42:46 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2025-04-08 10:42:46 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2025-04-08 10:42:46 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04

2025-04-08 10:42:48 UTC

/bin/sh -c #(nop) ADD file:f9ee450324e6ff2c946bc9aae5cf7e35e240dbd387d8b9f5ee1ed5b8434b9894 in /

2025-04-08 10:42:48 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2025-05-21 02:57:01 UTC (buildkit.dockerfile.v0)

ARG MAJOR_VERSION=5.0

2025-05-21 02:57:01 UTC (buildkit.dockerfile.v0)

ARG ZBX_VERSION=5.0.47

2025-05-21 02:57:01 UTC (buildkit.dockerfile.v0)

ARG ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git

2025-05-21 02:57:01 UTC (buildkit.dockerfile.v0)

ENV TERM=xterm ZBX_VERSION=5.0.47 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git ZABBIX_CONF_DIR=/etc/zabbix ZABBIX_WWW_ROOT=/usr/share/zabbix

2025-05-21 02:57:01 UTC (buildkit.dockerfile.v0)

LABEL org.opencontainers.image.authors=Alexey Pustovalov <[email protected]> org.opencontainers.image.description=Zabbix web-interface based on Nginx web server with MySQL database support org.opencontainers.image.documentation=https://www.zabbix.com/documentation/5.0/manual/installation/containers org.opencontainers.image.licenses=GPL v2.0 org.opencontainers.image.source=https://git.zabbix.com/scm/zbx/zabbix.git org.opencontainers.image.title=Zabbix web-interface (Nginx, MySQL) org.opencontainers.image.url=https://zabbix.com/ org.opencontainers.image.vendor=Zabbix SIA org.opencontainers.image.version=5.0.47

2025-05-21 02:57:01 UTC (buildkit.dockerfile.v0)

STOPSIGNAL SIGTERM

2025-05-21 02:57:01 UTC (buildkit.dockerfile.v0)

COPY /tmp/zabbix-5.0.47/ui /usr/share/zabbix # buildkit

2025-05-21 02:57:01 UTC (buildkit.dockerfile.v0)

COPY conf/etc/ /etc/ # buildkit

2025-05-21 03:18:37 UTC (buildkit.dockerfile.v0)

RUN |3 MAJOR_VERSION=5.0 ZBX_VERSION=5.0.47 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git /bin/sh -c set -eux && echo "#!/bin/sh\nexit 101" > /usr/sbin/policy-rc.d && INSTALL_PKGS="bash ca-certificates curl mysql-client nginx locales php7.4-bcmath php7.4-fpm php7.4-gd php7.4-json php7.4-ldap php7.4-mbstring php7.4-mysql php7.4-xml supervisor" && INSTALL_TEMP_PKGS="gpg ca-certificates dirmngr gpg-agent" && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install ${INSTALL_TEMP_PKGS} && NGINX_GPGKEY=573BFD6B3D8FBC641079A6ABABF5BD827BD9BF62; found=''; for server in ha.pool.sks-keyservers.net hkp://keyserver.ubuntu.com:80 hkp://p80.pool.sks-keyservers.net:80 pgp.mit.edu ; do echo "Fetching GPG key $NGINX_GPGKEY from $server"; apt-key adv --keyserver "$server" --keyserver-options timeout=10 --recv-keys "$NGINX_GPGKEY" && found=yes && break; done; test -z "$found" && echo >&2 "error: failed to fetch GPG key $NGINX_GPGKEY" && exit 1; DISTRIB_CODENAME=$(/bin/bash -c 'source /etc/lsb-release && echo $DISTRIB_CODENAME') && echo "deb https://nginx.org/packages/ubuntu/ $DISTRIB_CODENAME nginx" >> /etc/apt/sources.list.d/nginx.list && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" --no-install-recommends install ${INSTALL_PKGS} && groupadd --system --gid 1995 zabbix && useradd --system --comment "Zabbix monitoring system" -g zabbix --uid 1997 --shell /sbin/nologin --home-dir /var/lib/zabbix/ zabbix && mkdir -p ${ZABBIX_CONF_DIR} && mkdir -p ${ZABBIX_CONF_DIR}/web && mkdir -p ${ZABBIX_CONF_DIR}/web/certs && mkdir -p /var/lib/php/session && rm -f /etc/nginx/conf.d/*.conf && rm -rf /var/cache/nginx/ && rm -f /etc/php/7.4/fpm/pool.d/www.conf && rm -f /etc/php/7.4/fpm/php-fpm.conf.dpkg-dist && ln -sf /dev/stdout /var/log/nginx/access.log && ln -sf /dev/stderr /var/log/nginx/error.log && cd ${ZABBIX_WWW_ROOT}/ && rm -f conf/zabbix.conf.php conf/maintenance.inc.php conf/zabbix.conf.php.example && rm -rf tests && rm -f locale/add_new_language.sh locale/update_po.sh locale/make_mo.sh && find ${ZABBIX_WWW_ROOT}/locale -name '*.po' | xargs rm -f && find ${ZABBIX_WWW_ROOT}/locale -name '*.sh' | xargs rm -f && ln -s "${ZABBIX_CONF_DIR}/web/zabbix.conf.php" "${ZABBIX_WWW_ROOT}/conf/zabbix.conf.php" && ln -s "${ZABBIX_CONF_DIR}/web/maintenance.inc.php" "${ZABBIX_WWW_ROOT}/conf/maintenance.inc.php" && mkdir -p /var/lib/locales/supported.d/ && rm -f /var/lib/locales/supported.d/local && cat ${ZABBIX_WWW_ROOT}/include/locales.inc.php | grep display | grep true | awk '{$1=$1};1' | cut -d"'" -f 2 | sort | xargs -I '{}' bash -c 'echo "{}.UTF-8 UTF-8" >> /var/lib/locales/supported.d/local' && dpkg-reconfigure locales && chown --quiet -R zabbix:root ${ZABBIX_CONF_DIR}/ ${ZABBIX_WWW_ROOT}/include/defines.inc.php ${ZABBIX_WWW_ROOT}/modules/ && chgrp -R 0 ${ZABBIX_CONF_DIR}/ ${ZABBIX_WWW_ROOT}/include/defines.inc.php ${ZABBIX_WWW_ROOT}/modules/ && chmod -R g=u ${ZABBIX_CONF_DIR}/ ${ZABBIX_WWW_ROOT}/include/defines.inc.php ${ZABBIX_WWW_ROOT}/modules/ && chown --quiet -R zabbix:root /etc/nginx/ /etc/php/7.4/fpm/php-fpm.conf /etc/php/7.4/fpm/pool.d/ && chgrp -R 0 /etc/nginx/ /etc/php/7.4/fpm/php-fpm.conf /etc/php/7.4/fpm/pool.d/ && chmod -R g=u /etc/nginx/ /etc/php/7.4/fpm/php-fpm.conf /etc/php/7.4/fpm/pool.d/ && chown --quiet -R zabbix:root /var/lib/php/session/ && chgrp -R 0 /var/lib/php/session/ && chmod -R g=u /var/lib/php/session/ && DEBIAN_FRONTEND=noninteractive apt-get -y purge gpg dirmngr gpg-agent # buildkit

2025-05-21 03:18:37 UTC (buildkit.dockerfile.v0)

HEALTHCHECK &{["CMD-SHELL" "curl -f http://localhost:8080/ping || exit 1"] "1m30s" "3s" "40s" "5s" '\x03'}

2025-05-21 03:18:37 UTC (buildkit.dockerfile.v0)

EXPOSE map[8080/tcp:{} 8443/tcp:{}]

2025-05-21 03:18:37 UTC (buildkit.dockerfile.v0)

WORKDIR /usr/share/zabbix

2025-05-21 03:18:37 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint.sh /usr/bin/ # buildkit

2025-05-21 03:18:37 UTC (buildkit.dockerfile.v0)

USER 1997

2025-05-21 03:18:37 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["docker-entrypoint.sh"]

Details
Created

2025-05-21 03:17:21 UTC

Size

123 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Alexey Pustovalov <[email protected]>
  • org.opencontainers.image.created
    2025-05-21T02:56:31.683Z
  • org.opencontainers.image.description
    Zabbix web-interface based on Nginx web server with MySQL database support
  • org.opencontainers.image.documentation
    https://www.zabbix.com/documentation/5.0/manual/installation/containers
  • org.opencontainers.image.licenses
    GPL v2.0
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.revision
    05775011c3975c4d6095c098858dace4af889059
  • org.opencontainers.image.source
    https://git.zabbix.com/scm/zbx/zabbix.git
  • org.opencontainers.image.title
    Zabbix web-interface (Nginx, MySQL)
  • org.opencontainers.image.url
    https://zabbix.com/
  • org.opencontainers.image.vendor
    Zabbix SIA
  • org.opencontainers.image.version
    5.0.47

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

TERM

xterm

ZABBIX_CONF_DIR

/etc/zabbix

ZABBIX_WWW_ROOT

/usr/share/zabbix

ZBX_SOURCES

https://git.zabbix.com/scm/zbx/zabbix.git

ZBX_VERSION

5.0.47


Layers

[#000] sha256:12c22ff1560db33ab4235fc5b1744509b7c274b95beb2a7ba7b6671705fcef6e - 18.29% (22.5 MB)

[#001] sha256:00aca859f20bab63dd21ba5f041d88993260911007021f28341e56b6a7d62cd0 - 18.3% (22.5 MB)

[#002] sha256:deec4779fce9fb8498c4b5f825d6e160c29c5b1c1bb353bd1f6f7553368ba229 - 0.0% (5.02 KB)

[#003] sha256:001030f7cffcb7761a1c528dbb5790bdc72372400c38fe86c3247cc59893f4e9 - 63.41% (78.1 MB)

[#004] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)

[#005] sha256:4e2a155ee8188f4f1434a13b0eb756aa3605a5b3b29f7d2192c80183aafa420a - 0.0% (2.88 KB)


History
2025-04-08 10:45:56 UTC

/bin/sh -c #(nop) ARG RELEASE

2025-04-08 10:45:56 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2025-04-08 10:45:56 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2025-04-08 10:45:56 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04

2025-04-08 10:45:59 UTC

/bin/sh -c #(nop) ADD file:bd50d86208ba682c6f55f52b7ec95adbfb2e247d9dfff47b9c3871d27a7b0d19 in /

2025-04-08 10:45:59 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2025-05-21 02:57:00 UTC (buildkit.dockerfile.v0)

ARG MAJOR_VERSION=5.0

2025-05-21 02:57:00 UTC (buildkit.dockerfile.v0)

ARG ZBX_VERSION=5.0.47

2025-05-21 02:57:00 UTC (buildkit.dockerfile.v0)

ARG ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git

2025-05-21 02:57:00 UTC (buildkit.dockerfile.v0)

ENV TERM=xterm ZBX_VERSION=5.0.47 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git ZABBIX_CONF_DIR=/etc/zabbix ZABBIX_WWW_ROOT=/usr/share/zabbix

2025-05-21 02:57:00 UTC (buildkit.dockerfile.v0)

LABEL org.opencontainers.image.authors=Alexey Pustovalov <[email protected]> org.opencontainers.image.description=Zabbix web-interface based on Nginx web server with MySQL database support org.opencontainers.image.documentation=https://www.zabbix.com/documentation/5.0/manual/installation/containers org.opencontainers.image.licenses=GPL v2.0 org.opencontainers.image.source=https://git.zabbix.com/scm/zbx/zabbix.git org.opencontainers.image.title=Zabbix web-interface (Nginx, MySQL) org.opencontainers.image.url=https://zabbix.com/ org.opencontainers.image.vendor=Zabbix SIA org.opencontainers.image.version=5.0.47

2025-05-21 02:57:00 UTC (buildkit.dockerfile.v0)

STOPSIGNAL SIGTERM

2025-05-21 02:57:00 UTC (buildkit.dockerfile.v0)

COPY /tmp/zabbix-5.0.47/ui /usr/share/zabbix # buildkit

2025-05-21 02:57:00 UTC (buildkit.dockerfile.v0)

COPY conf/etc/ /etc/ # buildkit

2025-05-21 03:17:21 UTC (buildkit.dockerfile.v0)

RUN |3 MAJOR_VERSION=5.0 ZBX_VERSION=5.0.47 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git /bin/sh -c set -eux && echo "#!/bin/sh\nexit 101" > /usr/sbin/policy-rc.d && INSTALL_PKGS="bash ca-certificates curl mysql-client nginx locales php7.4-bcmath php7.4-fpm php7.4-gd php7.4-json php7.4-ldap php7.4-mbstring php7.4-mysql php7.4-xml supervisor" && INSTALL_TEMP_PKGS="gpg ca-certificates dirmngr gpg-agent" && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install ${INSTALL_TEMP_PKGS} && NGINX_GPGKEY=573BFD6B3D8FBC641079A6ABABF5BD827BD9BF62; found=''; for server in ha.pool.sks-keyservers.net hkp://keyserver.ubuntu.com:80 hkp://p80.pool.sks-keyservers.net:80 pgp.mit.edu ; do echo "Fetching GPG key $NGINX_GPGKEY from $server"; apt-key adv --keyserver "$server" --keyserver-options timeout=10 --recv-keys "$NGINX_GPGKEY" && found=yes && break; done; test -z "$found" && echo >&2 "error: failed to fetch GPG key $NGINX_GPGKEY" && exit 1; DISTRIB_CODENAME=$(/bin/bash -c 'source /etc/lsb-release && echo $DISTRIB_CODENAME') && echo "deb https://nginx.org/packages/ubuntu/ $DISTRIB_CODENAME nginx" >> /etc/apt/sources.list.d/nginx.list && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" --no-install-recommends install ${INSTALL_PKGS} && groupadd --system --gid 1995 zabbix && useradd --system --comment "Zabbix monitoring system" -g zabbix --uid 1997 --shell /sbin/nologin --home-dir /var/lib/zabbix/ zabbix && mkdir -p ${ZABBIX_CONF_DIR} && mkdir -p ${ZABBIX_CONF_DIR}/web && mkdir -p ${ZABBIX_CONF_DIR}/web/certs && mkdir -p /var/lib/php/session && rm -f /etc/nginx/conf.d/*.conf && rm -rf /var/cache/nginx/ && rm -f /etc/php/7.4/fpm/pool.d/www.conf && rm -f /etc/php/7.4/fpm/php-fpm.conf.dpkg-dist && ln -sf /dev/stdout /var/log/nginx/access.log && ln -sf /dev/stderr /var/log/nginx/error.log && cd ${ZABBIX_WWW_ROOT}/ && rm -f conf/zabbix.conf.php conf/maintenance.inc.php conf/zabbix.conf.php.example && rm -rf tests && rm -f locale/add_new_language.sh locale/update_po.sh locale/make_mo.sh && find ${ZABBIX_WWW_ROOT}/locale -name '*.po' | xargs rm -f && find ${ZABBIX_WWW_ROOT}/locale -name '*.sh' | xargs rm -f && ln -s "${ZABBIX_CONF_DIR}/web/zabbix.conf.php" "${ZABBIX_WWW_ROOT}/conf/zabbix.conf.php" && ln -s "${ZABBIX_CONF_DIR}/web/maintenance.inc.php" "${ZABBIX_WWW_ROOT}/conf/maintenance.inc.php" && mkdir -p /var/lib/locales/supported.d/ && rm -f /var/lib/locales/supported.d/local && cat ${ZABBIX_WWW_ROOT}/include/locales.inc.php | grep display | grep true | awk '{$1=$1};1' | cut -d"'" -f 2 | sort | xargs -I '{}' bash -c 'echo "{}.UTF-8 UTF-8" >> /var/lib/locales/supported.d/local' && dpkg-reconfigure locales && chown --quiet -R zabbix:root ${ZABBIX_CONF_DIR}/ ${ZABBIX_WWW_ROOT}/include/defines.inc.php ${ZABBIX_WWW_ROOT}/modules/ && chgrp -R 0 ${ZABBIX_CONF_DIR}/ ${ZABBIX_WWW_ROOT}/include/defines.inc.php ${ZABBIX_WWW_ROOT}/modules/ && chmod -R g=u ${ZABBIX_CONF_DIR}/ ${ZABBIX_WWW_ROOT}/include/defines.inc.php ${ZABBIX_WWW_ROOT}/modules/ && chown --quiet -R zabbix:root /etc/nginx/ /etc/php/7.4/fpm/php-fpm.conf /etc/php/7.4/fpm/pool.d/ && chgrp -R 0 /etc/nginx/ /etc/php/7.4/fpm/php-fpm.conf /etc/php/7.4/fpm/pool.d/ && chmod -R g=u /etc/nginx/ /etc/php/7.4/fpm/php-fpm.conf /etc/php/7.4/fpm/pool.d/ && chown --quiet -R zabbix:root /var/lib/php/session/ && chgrp -R 0 /var/lib/php/session/ && chmod -R g=u /var/lib/php/session/ && DEBIAN_FRONTEND=noninteractive apt-get -y purge gpg dirmngr gpg-agent # buildkit

2025-05-21 03:17:21 UTC (buildkit.dockerfile.v0)

HEALTHCHECK &{["CMD-SHELL" "curl -f http://localhost:8080/ping || exit 1"] "1m30s" "3s" "40s" "5s" '\x03'}

2025-05-21 03:17:21 UTC (buildkit.dockerfile.v0)

EXPOSE map[8080/tcp:{} 8443/tcp:{}]

2025-05-21 03:17:21 UTC (buildkit.dockerfile.v0)

WORKDIR /usr/share/zabbix

2025-05-21 03:17:21 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint.sh /usr/bin/ # buildkit

2025-05-21 03:17:21 UTC (buildkit.dockerfile.v0)

USER 1997

2025-05-21 03:17:21 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["docker-entrypoint.sh"]

Details
Created

2025-05-21 03:28:54 UTC

Size

129 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Alexey Pustovalov <[email protected]>
  • org.opencontainers.image.created
    2025-05-21T02:56:31.683Z
  • org.opencontainers.image.description
    Zabbix web-interface based on Nginx web server with MySQL database support
  • org.opencontainers.image.documentation
    https://www.zabbix.com/documentation/5.0/manual/installation/containers
  • org.opencontainers.image.licenses
    GPL v2.0
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.revision
    05775011c3975c4d6095c098858dace4af889059
  • org.opencontainers.image.source
    https://git.zabbix.com/scm/zbx/zabbix.git
  • org.opencontainers.image.title
    Zabbix web-interface (Nginx, MySQL)
  • org.opencontainers.image.url
    https://zabbix.com/
  • org.opencontainers.image.vendor
    Zabbix SIA
  • org.opencontainers.image.version
    5.0.47

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

TERM

xterm

ZABBIX_CONF_DIR

/etc/zabbix

ZABBIX_WWW_ROOT

/usr/share/zabbix

ZBX_SOURCES

https://git.zabbix.com/scm/zbx/zabbix.git

ZBX_VERSION

5.0.47


Layers

[#000] sha256:ecd83b6c354452b6a9979c7666bba16927f1e60e2afbfe6401dd6f87d5db8576 - 19.15% (24.8 MB)

[#001] sha256:6cd57c225f6ccd621be844f28023cd2b97e0444064ec3309f9a0b7bd257fcfd5 - 17.43% (22.5 MB)

[#002] sha256:deec4779fce9fb8498c4b5f825d6e160c29c5b1c1bb353bd1f6f7553368ba229 - 0.0% (5.02 KB)

[#003] sha256:d94d45ecd7c27b66075f903cb85ba1c2a27f9c5880bec89997ec2bb693a25572 - 63.42% (82.1 MB)

[#004] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)

[#005] sha256:f93077e161e924f8827b02406ae2487832b8c4a43e5c8bd79f8569245c8d5b7a - 0.0% (2.88 KB)


History
2025-04-08 10:46:43 UTC

/bin/sh -c #(nop) ARG RELEASE

2025-04-08 10:46:43 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2025-04-08 10:46:43 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2025-04-08 10:46:43 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04

2025-04-08 10:46:45 UTC

/bin/sh -c #(nop) ADD file:2c90d89e4dd4e1d2473deca816f585a78ced2a0c5c799399810f86fdbb17ac7e in /

2025-04-08 10:46:45 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2025-05-21 02:57:01 UTC (buildkit.dockerfile.v0)

ARG MAJOR_VERSION=5.0

2025-05-21 02:57:01 UTC (buildkit.dockerfile.v0)

ARG ZBX_VERSION=5.0.47

2025-05-21 02:57:01 UTC (buildkit.dockerfile.v0)

ARG ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git

2025-05-21 02:57:01 UTC (buildkit.dockerfile.v0)

ENV TERM=xterm ZBX_VERSION=5.0.47 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git ZABBIX_CONF_DIR=/etc/zabbix ZABBIX_WWW_ROOT=/usr/share/zabbix

2025-05-21 02:57:01 UTC (buildkit.dockerfile.v0)

LABEL org.opencontainers.image.authors=Alexey Pustovalov <[email protected]> org.opencontainers.image.description=Zabbix web-interface based on Nginx web server with MySQL database support org.opencontainers.image.documentation=https://www.zabbix.com/documentation/5.0/manual/installation/containers org.opencontainers.image.licenses=GPL v2.0 org.opencontainers.image.source=https://git.zabbix.com/scm/zbx/zabbix.git org.opencontainers.image.title=Zabbix web-interface (Nginx, MySQL) org.opencontainers.image.url=https://zabbix.com/ org.opencontainers.image.vendor=Zabbix SIA org.opencontainers.image.version=5.0.47

2025-05-21 02:57:01 UTC (buildkit.dockerfile.v0)

STOPSIGNAL SIGTERM

2025-05-21 02:57:01 UTC (buildkit.dockerfile.v0)

COPY /tmp/zabbix-5.0.47/ui /usr/share/zabbix # buildkit

2025-05-21 02:57:01 UTC (buildkit.dockerfile.v0)

COPY conf/etc/ /etc/ # buildkit

2025-05-21 03:28:54 UTC (buildkit.dockerfile.v0)

RUN |3 MAJOR_VERSION=5.0 ZBX_VERSION=5.0.47 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git /bin/sh -c set -eux && echo "#!/bin/sh\nexit 101" > /usr/sbin/policy-rc.d && INSTALL_PKGS="bash ca-certificates curl mysql-client nginx locales php7.4-bcmath php7.4-fpm php7.4-gd php7.4-json php7.4-ldap php7.4-mbstring php7.4-mysql php7.4-xml supervisor" && INSTALL_TEMP_PKGS="gpg ca-certificates dirmngr gpg-agent" && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install ${INSTALL_TEMP_PKGS} && NGINX_GPGKEY=573BFD6B3D8FBC641079A6ABABF5BD827BD9BF62; found=''; for server in ha.pool.sks-keyservers.net hkp://keyserver.ubuntu.com:80 hkp://p80.pool.sks-keyservers.net:80 pgp.mit.edu ; do echo "Fetching GPG key $NGINX_GPGKEY from $server"; apt-key adv --keyserver "$server" --keyserver-options timeout=10 --recv-keys "$NGINX_GPGKEY" && found=yes && break; done; test -z "$found" && echo >&2 "error: failed to fetch GPG key $NGINX_GPGKEY" && exit 1; DISTRIB_CODENAME=$(/bin/bash -c 'source /etc/lsb-release && echo $DISTRIB_CODENAME') && echo "deb https://nginx.org/packages/ubuntu/ $DISTRIB_CODENAME nginx" >> /etc/apt/sources.list.d/nginx.list && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" --no-install-recommends install ${INSTALL_PKGS} && groupadd --system --gid 1995 zabbix && useradd --system --comment "Zabbix monitoring system" -g zabbix --uid 1997 --shell /sbin/nologin --home-dir /var/lib/zabbix/ zabbix && mkdir -p ${ZABBIX_CONF_DIR} && mkdir -p ${ZABBIX_CONF_DIR}/web && mkdir -p ${ZABBIX_CONF_DIR}/web/certs && mkdir -p /var/lib/php/session && rm -f /etc/nginx/conf.d/*.conf && rm -rf /var/cache/nginx/ && rm -f /etc/php/7.4/fpm/pool.d/www.conf && rm -f /etc/php/7.4/fpm/php-fpm.conf.dpkg-dist && ln -sf /dev/stdout /var/log/nginx/access.log && ln -sf /dev/stderr /var/log/nginx/error.log && cd ${ZABBIX_WWW_ROOT}/ && rm -f conf/zabbix.conf.php conf/maintenance.inc.php conf/zabbix.conf.php.example && rm -rf tests && rm -f locale/add_new_language.sh locale/update_po.sh locale/make_mo.sh && find ${ZABBIX_WWW_ROOT}/locale -name '*.po' | xargs rm -f && find ${ZABBIX_WWW_ROOT}/locale -name '*.sh' | xargs rm -f && ln -s "${ZABBIX_CONF_DIR}/web/zabbix.conf.php" "${ZABBIX_WWW_ROOT}/conf/zabbix.conf.php" && ln -s "${ZABBIX_CONF_DIR}/web/maintenance.inc.php" "${ZABBIX_WWW_ROOT}/conf/maintenance.inc.php" && mkdir -p /var/lib/locales/supported.d/ && rm -f /var/lib/locales/supported.d/local && cat ${ZABBIX_WWW_ROOT}/include/locales.inc.php | grep display | grep true | awk '{$1=$1};1' | cut -d"'" -f 2 | sort | xargs -I '{}' bash -c 'echo "{}.UTF-8 UTF-8" >> /var/lib/locales/supported.d/local' && dpkg-reconfigure locales && chown --quiet -R zabbix:root ${ZABBIX_CONF_DIR}/ ${ZABBIX_WWW_ROOT}/include/defines.inc.php ${ZABBIX_WWW_ROOT}/modules/ && chgrp -R 0 ${ZABBIX_CONF_DIR}/ ${ZABBIX_WWW_ROOT}/include/defines.inc.php ${ZABBIX_WWW_ROOT}/modules/ && chmod -R g=u ${ZABBIX_CONF_DIR}/ ${ZABBIX_WWW_ROOT}/include/defines.inc.php ${ZABBIX_WWW_ROOT}/modules/ && chown --quiet -R zabbix:root /etc/nginx/ /etc/php/7.4/fpm/php-fpm.conf /etc/php/7.4/fpm/pool.d/ && chgrp -R 0 /etc/nginx/ /etc/php/7.4/fpm/php-fpm.conf /etc/php/7.4/fpm/pool.d/ && chmod -R g=u /etc/nginx/ /etc/php/7.4/fpm/php-fpm.conf /etc/php/7.4/fpm/pool.d/ && chown --quiet -R zabbix:root /var/lib/php/session/ && chgrp -R 0 /var/lib/php/session/ && chmod -R g=u /var/lib/php/session/ && DEBIAN_FRONTEND=noninteractive apt-get -y purge gpg dirmngr gpg-agent # buildkit

2025-05-21 03:28:54 UTC (buildkit.dockerfile.v0)

HEALTHCHECK &{["CMD-SHELL" "curl -f http://localhost:8080/ping || exit 1"] "1m30s" "3s" "40s" "5s" '\x03'}

2025-05-21 03:28:54 UTC (buildkit.dockerfile.v0)

EXPOSE map[8080/tcp:{} 8443/tcp:{}]

2025-05-21 03:28:54 UTC (buildkit.dockerfile.v0)

WORKDIR /usr/share/zabbix

2025-05-21 03:28:54 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint.sh /usr/bin/ # buildkit

2025-05-21 03:28:54 UTC (buildkit.dockerfile.v0)

USER 1997

2025-05-21 03:28:54 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["docker-entrypoint.sh"]

Details
Created

2025-05-21 03:06:36 UTC

Size

130 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Alexey Pustovalov <[email protected]>
  • org.opencontainers.image.created
    2025-05-21T02:56:31.683Z
  • org.opencontainers.image.description
    Zabbix web-interface based on Nginx web server with MySQL database support
  • org.opencontainers.image.documentation
    https://www.zabbix.com/documentation/5.0/manual/installation/containers
  • org.opencontainers.image.licenses
    GPL v2.0
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.revision
    05775011c3975c4d6095c098858dace4af889059
  • org.opencontainers.image.source
    https://git.zabbix.com/scm/zbx/zabbix.git
  • org.opencontainers.image.title
    Zabbix web-interface (Nginx, MySQL)
  • org.opencontainers.image.url
    https://zabbix.com/
  • org.opencontainers.image.vendor
    Zabbix SIA
  • org.opencontainers.image.version
    5.0.47

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

TERM

xterm

ZABBIX_CONF_DIR

/etc/zabbix

ZABBIX_WWW_ROOT

/usr/share/zabbix

ZBX_SOURCES

https://git.zabbix.com/scm/zbx/zabbix.git

ZBX_VERSION

5.0.47


Layers

[#000] sha256:b35596e17e863edd4c594d026a60e36f73cc6a076370f55a24732114fd25ff68 - 19.35% (25.1 MB)

[#001] sha256:0e720be8fb2a30763b9419009652a198ca4853bd9e6f2246826b24b5f84d4a0b - 17.35% (22.5 MB)

[#002] sha256:deec4779fce9fb8498c4b5f825d6e160c29c5b1c1bb353bd1f6f7553368ba229 - 0.0% (5.02 KB)

[#003] sha256:6ab45b4b5eb8debae858b0c3be4010a10d04cf8ed9f41c217bd4be3d71fb377c - 63.3% (82.3 MB)

[#004] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)

[#005] sha256:9450c7a7673d932247c89a00956d289ef08085c43caba5fedf844de8b451ff5e - 0.0% (2.88 KB)


History
2025-04-08 10:45:20 UTC

/bin/sh -c #(nop) ARG RELEASE

2025-04-08 10:45:20 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2025-04-08 10:45:20 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2025-04-08 10:45:20 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04

2025-04-08 10:45:21 UTC

/bin/sh -c #(nop) ADD file:82f0132f510f24adc12d74491187647b94a14baa7a57fd22a67a5c3767541496 in /

2025-04-08 10:45:21 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2025-05-21 02:57:00 UTC (buildkit.dockerfile.v0)

ARG MAJOR_VERSION=5.0

2025-05-21 02:57:00 UTC (buildkit.dockerfile.v0)

ARG ZBX_VERSION=5.0.47

2025-05-21 02:57:00 UTC (buildkit.dockerfile.v0)

ARG ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git

2025-05-21 02:57:00 UTC (buildkit.dockerfile.v0)

ENV TERM=xterm ZBX_VERSION=5.0.47 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git ZABBIX_CONF_DIR=/etc/zabbix ZABBIX_WWW_ROOT=/usr/share/zabbix

2025-05-21 02:57:00 UTC (buildkit.dockerfile.v0)

LABEL org.opencontainers.image.authors=Alexey Pustovalov <[email protected]> org.opencontainers.image.description=Zabbix web-interface based on Nginx web server with MySQL database support org.opencontainers.image.documentation=https://www.zabbix.com/documentation/5.0/manual/installation/containers org.opencontainers.image.licenses=GPL v2.0 org.opencontainers.image.source=https://git.zabbix.com/scm/zbx/zabbix.git org.opencontainers.image.title=Zabbix web-interface (Nginx, MySQL) org.opencontainers.image.url=https://zabbix.com/ org.opencontainers.image.vendor=Zabbix SIA org.opencontainers.image.version=5.0.47

2025-05-21 02:57:00 UTC (buildkit.dockerfile.v0)

STOPSIGNAL SIGTERM

2025-05-21 02:57:00 UTC (buildkit.dockerfile.v0)

COPY /tmp/zabbix-5.0.47/ui /usr/share/zabbix # buildkit

2025-05-21 02:57:00 UTC (buildkit.dockerfile.v0)

COPY conf/etc/ /etc/ # buildkit

2025-05-21 03:06:36 UTC (buildkit.dockerfile.v0)

RUN |3 MAJOR_VERSION=5.0 ZBX_VERSION=5.0.47 ZBX_SOURCES=https://git.zabbix.com/scm/zbx/zabbix.git /bin/sh -c set -eux && echo "#!/bin/sh\nexit 101" > /usr/sbin/policy-rc.d && INSTALL_PKGS="bash ca-certificates curl mysql-client nginx locales php7.4-bcmath php7.4-fpm php7.4-gd php7.4-json php7.4-ldap php7.4-mbstring php7.4-mysql php7.4-xml supervisor" && INSTALL_TEMP_PKGS="gpg ca-certificates dirmngr gpg-agent" && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y --no-install-recommends install ${INSTALL_TEMP_PKGS} && NGINX_GPGKEY=573BFD6B3D8FBC641079A6ABABF5BD827BD9BF62; found=''; for server in ha.pool.sks-keyservers.net hkp://keyserver.ubuntu.com:80 hkp://p80.pool.sks-keyservers.net:80 pgp.mit.edu ; do echo "Fetching GPG key $NGINX_GPGKEY from $server"; apt-key adv --keyserver "$server" --keyserver-options timeout=10 --recv-keys "$NGINX_GPGKEY" && found=yes && break; done; test -z "$found" && echo >&2 "error: failed to fetch GPG key $NGINX_GPGKEY" && exit 1; DISTRIB_CODENAME=$(/bin/bash -c 'source /etc/lsb-release && echo $DISTRIB_CODENAME') && echo "deb https://nginx.org/packages/ubuntu/ $DISTRIB_CODENAME nginx" >> /etc/apt/sources.list.d/nginx.list && apt-get -y update && DEBIAN_FRONTEND=noninteractive apt-get -y -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" --no-install-recommends install ${INSTALL_PKGS} && groupadd --system --gid 1995 zabbix && useradd --system --comment "Zabbix monitoring system" -g zabbix --uid 1997 --shell /sbin/nologin --home-dir /var/lib/zabbix/ zabbix && mkdir -p ${ZABBIX_CONF_DIR} && mkdir -p ${ZABBIX_CONF_DIR}/web && mkdir -p ${ZABBIX_CONF_DIR}/web/certs && mkdir -p /var/lib/php/session && rm -f /etc/nginx/conf.d/*.conf && rm -rf /var/cache/nginx/ && rm -f /etc/php/7.4/fpm/pool.d/www.conf && rm -f /etc/php/7.4/fpm/php-fpm.conf.dpkg-dist && ln -sf /dev/stdout /var/log/nginx/access.log && ln -sf /dev/stderr /var/log/nginx/error.log && cd ${ZABBIX_WWW_ROOT}/ && rm -f conf/zabbix.conf.php conf/maintenance.inc.php conf/zabbix.conf.php.example && rm -rf tests && rm -f locale/add_new_language.sh locale/update_po.sh locale/make_mo.sh && find ${ZABBIX_WWW_ROOT}/locale -name '*.po' | xargs rm -f && find ${ZABBIX_WWW_ROOT}/locale -name '*.sh' | xargs rm -f && ln -s "${ZABBIX_CONF_DIR}/web/zabbix.conf.php" "${ZABBIX_WWW_ROOT}/conf/zabbix.conf.php" && ln -s "${ZABBIX_CONF_DIR}/web/maintenance.inc.php" "${ZABBIX_WWW_ROOT}/conf/maintenance.inc.php" && mkdir -p /var/lib/locales/supported.d/ && rm -f /var/lib/locales/supported.d/local && cat ${ZABBIX_WWW_ROOT}/include/locales.inc.php | grep display | grep true | awk '{$1=$1};1' | cut -d"'" -f 2 | sort | xargs -I '{}' bash -c 'echo "{}.UTF-8 UTF-8" >> /var/lib/locales/supported.d/local' && dpkg-reconfigure locales && chown --quiet -R zabbix:root ${ZABBIX_CONF_DIR}/ ${ZABBIX_WWW_ROOT}/include/defines.inc.php ${ZABBIX_WWW_ROOT}/modules/ && chgrp -R 0 ${ZABBIX_CONF_DIR}/ ${ZABBIX_WWW_ROOT}/include/defines.inc.php ${ZABBIX_WWW_ROOT}/modules/ && chmod -R g=u ${ZABBIX_CONF_DIR}/ ${ZABBIX_WWW_ROOT}/include/defines.inc.php ${ZABBIX_WWW_ROOT}/modules/ && chown --quiet -R zabbix:root /etc/nginx/ /etc/php/7.4/fpm/php-fpm.conf /etc/php/7.4/fpm/pool.d/ && chgrp -R 0 /etc/nginx/ /etc/php/7.4/fpm/php-fpm.conf /etc/php/7.4/fpm/pool.d/ && chmod -R g=u /etc/nginx/ /etc/php/7.4/fpm/php-fpm.conf /etc/php/7.4/fpm/pool.d/ && chown --quiet -R zabbix:root /var/lib/php/session/ && chgrp -R 0 /var/lib/php/session/ && chmod -R g=u /var/lib/php/session/ && DEBIAN_FRONTEND=noninteractive apt-get -y purge gpg dirmngr gpg-agent # buildkit

2025-05-21 03:06:36 UTC (buildkit.dockerfile.v0)

HEALTHCHECK &{["CMD-SHELL" "curl -f http://localhost:8080/ping || exit 1"] "1m30s" "3s" "40s" "5s" '\x03'}

2025-05-21 03:06:36 UTC (buildkit.dockerfile.v0)

EXPOSE map[8080/tcp:{} 8443/tcp:{}]

2025-05-21 03:06:36 UTC (buildkit.dockerfile.v0)

WORKDIR /usr/share/zabbix

2025-05-21 03:06:36 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint.sh /usr/bin/ # buildkit

2025-05-21 03:06:36 UTC (buildkit.dockerfile.v0)

USER 1997

2025-05-21 03:06:36 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["docker-entrypoint.sh"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete